>From f30733b24ff7271201ab0c2b44e4399ab0ce876c Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Fri, 19 Aug 2011 15:38:44 +0300
Subject: [carFl mem 34/65] Globalisation pass 1: dummyflasher.c

This commit breaks builds until "Globalistation pass 1: fixes".

It does nothing more, just passes globals structure across function
calls.

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 dummyflasher.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/dummyflasher.c b/dummyflasher.c
index be8f552..5354fa9 100644
--- a/dummyflasher.c
+++ b/dummyflasher.c
@@ -60,9 +60,9 @@ static int emu_jedec_ce_c7_size = 0;
 
 static int spi_write_256_chunksize = 256;
 
-static int dummy_spi_send_command(unsigned int writecnt, unsigned int readcnt,
+static int dummy_spi_send_command(globals *g, unsigned int writecnt, unsigned int readcnt,
 		      const unsigned char *writearr, unsigned char *readarr);
-static int dummy_spi_write_256(struct flashchip *flash, uint8_t *buf,
+static int dummy_spi_write_256(globals *g, struct flashchip *flash, uint8_t *buf,
 			       int start, int len);
 
 static const struct spi_programmer spi_programmer_dummyflasher = {
@@ -91,7 +91,7 @@ static int dummy_shutdown(void *data)
 	return 0;
 }
 
-int dummy_init(void)
+int dummy_init(globals *g)
 {
 	char *bustext = NULL;
 	char *tmp = NULL;
@@ -492,7 +492,7 @@ static int emulate_spi_chip_response(unsigned int writecnt, unsigned int readcnt
 }
 #endif
 
-static int dummy_spi_send_command(unsigned int writecnt, unsigned int readcnt,
+static int dummy_spi_send_command(globals *g, unsigned int writecnt, unsigned int readcnt,
 		      const unsigned char *writearr, unsigned char *readarr)
 {
 	int i;
@@ -527,9 +527,9 @@ static int dummy_spi_send_command(unsigned int writecnt, unsigned int readcnt,
 	return 0;
 }
 
-static int dummy_spi_write_256(struct flashchip *flash, uint8_t *buf,
+static int dummy_spi_write_256(globals *g, struct flashchip *flash, uint8_t *buf,
 			       int start, int len)
 {
-	return spi_write_chunked(flash, buf, start, len,
+	return spi_write_chunked(g, flash, buf, start, len,
 				 spi_write_256_chunksize);
 }
-- 
1.7.6

